# Uses of Class
javax.swing.plaf.OptionPaneUI

Packages that use OptionPaneUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of OptionPaneUI in javax.swing

Methods in javax.swing that return OptionPaneUI
Modifier and Type
Method
Description
`OptionPaneUI`
JOptionPane.`getUI()`
Returns the UI object which implements the L&F for this component.
Methods in javax.swing with parameters of type OptionPaneUI
Modifier and Type
Method
Description
`void`
JOptionPane.`setUI(OptionPaneUI ui)`
Sets the UI object which implements the L&F for this component.

## Uses of OptionPaneUI in javax.swing.plaf.basic

Subclasses of OptionPaneUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicOptionPaneUI`
Provides the basic look and feel for a `JOptionPane`.

## Uses of OptionPaneUI in javax.swing.plaf.multi

Subclasses of OptionPaneUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiOptionPaneUI`
A multiplexing UI used to combine `OptionPaneUI`s.

## Uses of OptionPaneUI in javax.swing.plaf.synth

Subclasses of OptionPaneUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthOptionPaneUI`
Provides the Synth L&F UI delegate for `JOptionPane`.